Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.parameters
Class VersionParameters

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.Version
            |
            +--iaik.pkcs.pkcs11.parameters.VersionParameters

All Implemented Interfaces:
  java.lang.Cloneable, Parameters

public class VersionParameters
extends Version
implements Parameters

This class is used for the Mechnism.SSL3_PRE_MASTER_KEY_GEN.

Version:
  1.0
Author:
  Karl Scheibelhofer

Fields inherited from class iaik.pkcs.pkcs11.Version
`major_, minor_`

Constructor Summary
`VersionParameters()` Create a new VersionParameters object with the major and minor version set to zero.
`VersionParameters(byte major, byte minor)` Create a new VersionParameters object with the given major and minor version.

Method Summary
`java.lang.Object` | `getPKCS11ParamsObject()` Get this parameters object as a CK_VERSION object.
`void` | `setMajor(byte major)` Set the major version number.
`void` | `setMinor(byte minor)` Set the minor version number.
`void` | `setPKCS11ParamsObject(CK_VERSION input)` This method allows setting the major and minor version numbers using a version object of the lower level API.

Methods inherited from class iaik.pkcs.pkcs11.Version
`clone, equals, getMajor, getMinor, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VersionParameters

    public VersionParameters()

  Create a new VersionParameters object with the major and minor version set to zero.

### VersionParameters

    public VersionParameters(byte major,
                             byte minor)

  Create a new VersionParameters object with the given major and minor version.
  Parameters:
    `major` - The major version number.
    `minor` - The minor version number.

Method Detail

### getPKCS11ParamsObject

    public java.lang.Object getPKCS11ParamsObject()

  Get this parameters object as a CK_VERSION object.
  Specified by:
    `getPKCS11ParamsObject` in interface `Parameters`
  Returns:
    This object as a CK_VERSION object.

### setPKCS11ParamsObject

    public void setPKCS11ParamsObject(CK_VERSION input)

  This method allows setting the major and minor version numbers using a version object of the lower level API.
  Parameters:
    `input` - The version objet providing the major and minor version.

### setMajor

    public void setMajor(byte major)

  Set the major version number.
  Parameters:
    `major` - The major version number.

### setMinor

    public void setMinor(byte minor)

  Set the minor version number.
  Parameters:
    `minor` - The minor version number.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18